DROP TABLE IF EXISTS reservierung;
CREATE TABLE reservierung (
    id int(11) UNSIGNED NOT NULL AUTO_INCREMENT,
    buch_id bigint(13) UNSIGNED NOT NULL,
    ausweis_id int(11) UNSIGNED NOT NULL,
    datum date,
    dauer int(1), -- in Wochen
    PRIMARY KEY (id),
    CONSTRAINT fk_reservierung_buch FOREIGN KEY (buch_id) REFERENCES buch(isbn) ON UPDATE CASCADE,
    CONSTRAINT fk_reservierung_ausweis FOREIGN KEY (ausweis_id) REFERENCES ausweis(id) ON UPDATE CASCADE
);

INSERT INTO reservierung (`buch_id`,`ausweis_id`,`datum`,`dauer`)
VALUES
(6816071853,1,'2021-11-01',4),
(9481837404,3,'2021-11-01',2),
(2927314884,30,'2021-11-01',4),
(6816071853,1,'2021-10-01',1),
(3041465055,2,'2021-10-02',2),
(1227012216,3,'2021-10-03',3),
(2048604514,4,'2021-10-04',4),
(5227732217,5,'2021-10-05',1),
(6874299752,6,'2021-10-06',2),
(5948148609,7,'2021-10-07',3),
(9481837404,8,'2021-10-08',4),
(6245886767,10,'2021-10-10',2),
(2602038408,11,'2021-10-11',3),
(8075996121,12,'2021-10-12',4),
(2927314884,13,'2021-10-13',1),
(6026513912,14,'2021-10-14',2),
(3016980052,17,'2021-10-17',1),
(2397566629,18,'2021-10-18',2),
(8198068656,19,'2021-10-19',3),
(3960027214,21,'2021-10-21',1),
(5807728843,22,'2021-10-22',2),
(8609295043,25,'2021-10-25',1),
(8324643918,27,'2021-10-27',3),
(8175484362,28,'2021-10-28',4),
(9266769871,29,'2021-10-29',1),
(9001120829,30,'2021-10-30',2),
(5462800818,31,'2021-10-31',3),
(9804821872,35,'2021-11-04',3),
(1612548266,36,'2021-11-05',4),
(7763933113,37,'2021-10-01',1),
(1009658763,38,'2021-10-02',2),
(9491897607,41,'2021-10-05',1),
(3420469357,42,'2021-10-06',2),
(8422131191,43,'2021-10-07',3),
(1058817318,46,'2021-10-10',2),
(5825534218,47,'2021-10-11',3),
(6304978389,48,'2021-10-12',4),
(3289519765,49,'2021-10-13',1),
(8473475767,50,'2021-10-14',2),
(3194849293,51,'2021-10-15',3),
(6715209402,52,'2021-10-16',4),
(6779088499,53,'2021-10-17',1),
(8458899459,56,'2021-10-20',4),
(9684469246,57,'2021-10-21',1),
(8953179589,58,'2021-10-22',2),
(5128875525,59,'2021-10-23',3);